package de.intevation.gnv.state.describedata;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultMinMaxDescribeData implements MinMaxDescribeData {

    private static final long serialVersionUID = -2917176219029052295L;

    private Object minValue = null;

    private Object maxValue = null;

    private String name = null;

    private String state = null;

    private final static String minName = "minvalue";

    private final static String maxName = "maxvalue";

    /**
     * The default constructor.
     *
     * @param name A general name for this object.
     * @param minValue The min value.
     * @param maxValue The max value.
     * @param state The state.
     */
    public DefaultMinMaxDescribeData(
        String name,
        Object minValue,
        Object maxValue,
        String state
    ) {
        super();
        this.name = name;
        this.minValue = minValue;
        this.maxValue = maxValue;
        this.state    = state;
    }

    public Object getMaxValue() {
        return this.maxValue;
    }

    public Object getMinValue() {
        return this.minValue;
    }

    /**
     * Returns the string representation of this object.
     *
     * @return this object as string.
     */
    @Override
    public String toString() {
        return "MIN: " + this.minValue.toString() + " ; MAX: "
               + this.maxValue.toString();
    }

    public String getMinName() {
        return minName;
    }

    public String getMaxName() {
        return maxName;
    }

    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    public void setMinValue(Object minValue) {
        this.minValue = minValue;
    }

    public String getName() {
       return this.name;
    }

    public String getState() {
        return this.state;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
